
package
{
	import flash.display.*;

	public class AlienParticle extends Particle
	{
		private var vRot: Number;
		
		public function AlienParticle (alien: Alien)
		{
			super(alien.x, alien.y);
			
			var r: uint = Math.random() * 48;
			var g: uint = Math.random() * 128;
			var b: uint = Math.random() * 64 + 191;
			
			graphics.beginFill((r << 16) + (g << 8) + b);
			graphics.drawRect(-2, -2, 4, 4);
			graphics.endFill();
			
			vx = Math.random() * 4 + 0.5;
			vy = Math.random() * 4 + 0.5;
			
			if (Math.random() < 0.5) { vx *= -1; }
			if (Math.random() < 0.5) { vy *= -1; }
			
			alpha = Math.random() * 0.4 + 0.6;
			
			vRot = Math.random() * 60 - 30;
		}
		
		public override function update (): void
		{
			super.update();
			
			scaleX += 0.05;
			scaleY += 0.05;
			
			rotation += vRot;
			
			if (alpha > 0)
			{
				alpha -= 0.02;
			}
			else
			{
				dead = true;
			}
		}
		
	}

}


